gnutls_x509_privkey_import_openssl(3)

NAME
gnutls_x509_privkey_import_openssl - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_privkey_import_openssl(gnutls_x509_privkey_t key, const gnutls_datum_t * data, const char * password);

ARGUMENTS

gnutls_x509_privkey_t key
    The structure to store the parsed key

const gnutls_datum_t * data
    The DER or PEM encoded key.

const char * password
    the password to decrypt the key (if it is encrypted).

DESCRIPTION
This function will convert the given PEM encrypted to the native gnutls_x509_privkey_t format. The output will be stored in key . The password should be in ASCII. If the password is not provided or wrong then GNUTLS_E_DECRYPTION_FAILED will be returned. If the Certificate is PEM encoded it should have a header of "PRIVATE KEY" and the "DEK-Info" header.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/